complexType "FxAverageRateObservation"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 elements
Defined: | globally in fpml-fx-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | date, averageRateWeightingFactor, rate?
</...>

Content Model Elements (3):

  averageRateWeightingFactor, date (in rateObservation in asian in features in fxOption), | rate (in rateObservation in asian in features in fxOption)

All Direct / Indirect Based Elements (1):

  rateObservation (in asian in features in fxOption)

Known Usage Locations

- As direct type of elements (1):
  rateObservation (in asian in features in fxOption)

Annotation
A type that, for average rate options, is used to describe each specific observation date, as opposed to a parametric frequency of rate observations.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="FxAverageRateObservation"> <xsd:sequence> <xsd:element name="date" type="xsd:date"/> <xsd:element name="averageRateWeightingFactor" type="xsd:decimal"/> <xsd:element minOccurs="0" name="rate" type="NonNegativeDecimal"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
averageRateWeightingFactor

  Type: | xsd:decimal, predefined, simple content

  An optional factor that can be used for weighting certain observation dates. Typically, firms will weight each date with a factor of 1 if there are standard, unweighted adjustments.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="averageRateWeightingFactor" type="xsd:decimal"/>

date

  Type: | xsd:date, predefined, simple content

  A specific date for which an observation against a particular rate will be made and will be used for subsequent computations.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="date" type="xsd:date"/>

rate

  Type: | NonNegativeDecimal, simple content

  The observed rate of exchange between the two option currencies. In the absence of rateObservationQuoteBasis, the rate is assumed to be quoted as per option strike/strikeQuoteBasis.
  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rate" type="NonNegativeDecimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.